Bug 133999 - Strange goings on with cpia
Summary: Strange goings on with cpia
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-09-28 21:35 UTC by Alan Cox
Modified: 2015-01-04 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 01:03:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2004-09-28 21:35:51 UTC
Inserting a cpia_camera causes unknown symbol reports, and then jammed
module modprobes for cpia_usb and cpia_pp. Kiling those gets it to
load correctly.


Sep 27 17:04:56 screen kernel: cpia_pp: Unknown symbol
cpia_register_camera
Sep 27 17:04:56 screen kernel: cpia_pp: Unknown symbol
cpia_unregister_camera
Sep 27 17:04:56 screen kernel: cpia_usb: Unknown symbol
cpia_register_camera
Sep 27 17:04:56 screen kernel: cpia_usb: Unknown symbol
cpia_unregister_camera
Sep 27 17:04:56 screen kernel: USB driver for Vision CPiA based
cameras v1.2.3
Sep 27 17:04:56 screen kernel: USB CPiA camera found
Sep 27 17:04:56 screen kernel: videodev: "CPiA Camera" has no release
callback. Please fix your driver for proper sysfs support, see
http://lwn.net/Articles/36850/

Comment 1 Alan Cox 2004-10-22 13:46:05 UTC
The load hang is fixed upstream in 2.6.9-ac3


Comment 2 Alan Cox 2004-12-03 17:22:10 UTC
The callback bug is still present in 2.6.9 final

Comment 3 Dave Jones 2005-07-15 20:27:57 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 4 Dave Jones 2005-10-03 01:03:01 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.